> ## Documentation Index
> Fetch the complete documentation index at: https://docs.playbook3d.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Runs

> Gets playbook runs.



## OpenAPI

````yaml get /runs
openapi: 3.1.0
info:
  title: Playbook API Documentation
  description: >-
    This is the documentation for the Playbook API. You can use this API to use
    our service programmatically, this is done by using your API key. <br/> You
    can view your API key using the 'User' tab on https://beta.playbook3d.com/.
  version: '1.0'
servers: []
security: []
tags: []
paths:
  /runs:
    get:
      tags:
        - runs
      summary: Gets all the playbook runs associated with your account
      description: Gets playbook runs.
      operationId: get-runs
      parameters:
        - description: >-
            Your API key. This is required by most endpoints to access our API
            programatically. You can view your x-api-key using the 'Profile' tab
            on the website.
          required: true
          schema:
            type: string
            title: X-Api-Key
            description: >-
              Your API key. This is required by most endpoints to access our API
              programatically. You can view your x-api-key using the 'Profile'
              tab on the website.
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    type: string
                  platform:
                    type: string
                  status:
                    type: string
                  progress:
                    type: integer
                  duration:
                    type: integer
                  webhook_url:
                    type: string
                  run_result:
                    type: string
                  team:
                    type: object
                  owner:
                    type: object
                  workflow:
                    type: object
                type: object
                example:
                  id: uuid
                  platform: web
                  status: Completed
                  progress: 100
                  duration: 5
                  webhook_url: url
                  run_result: result url
                  team:
                    PlaybookTeam: {}
                  owner:
                    PlaybookUser: {}
                  workflow:
                    PlaybookWorkflow: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            from playbookNetworkClient import PlaybookClient

             def setup(self):
             self.playbookClient = PlaybookClient()
             self.playbookClient.set_api_key({your api key})

             def get_runs(self):
              teams = self.playbookClient.get_user_runs()
        - lang: JavaScript
          source: ''
        - lang: C#
          source: ''
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items: 3bd63c7e-c2b9-44a8-a21c-342e5c3e1b0a
          type: array
          title: Detail
      type: object
      title: HTTPValidationError

````